curl --request POST \
--url https://sandbox.cashfree.com/pg/easy-split/vendors \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"vendor_id": "vendortest123",
"status": "ACTIVE",
"name": "customer",
"email": "johndoe@cashfree.com",
"phone": 9876543210,
"verify_account": true,
"dashboard_access": true,
"schedule_option": 1,
"bank": {
"account_number": 12345678890,
"account_holder": "John Doe",
"ifsc": "HDFC019345"
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"uidai": 753624181019,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000",
"pan": "BIAPA2934N",
"passport_number": "L6892603"
}
}
'{
"email": "johndoe@cashfree.com",
"status": "IN_BENE_CREATION",
"bank": {
"account_number": 26291800001191,
"account_holder": "JOHN DOE",
"ifsc": "YESB0000262"
},
"upi": null,
"phone": 9876543210,
"name": "customer",
"vendor_id": "TestAccount11",
"schedule_option": {
"settlement_schedule_message": "T+1 settlement at 11:00 AM",
"schedule_id": 1,
"merchant_default": false
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"pan": "AFDHK1234F",
"uidai": null,
"passport_number": null,
"driving_license": null,
"voter_id": null,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000"
},
"dashboard_access": false,
"bank_details": null
}Create vendor
Use this API to create a new vendor to your EasySplit account along with the KYC details. Provide KYC details such as account_type, business_type, gst, cin, pan, passport number and so on.
POST
/
easy-split
/
vendors
curl --request POST \
--url https://sandbox.cashfree.com/pg/easy-split/vendors \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"vendor_id": "vendortest123",
"status": "ACTIVE",
"name": "customer",
"email": "johndoe@cashfree.com",
"phone": 9876543210,
"verify_account": true,
"dashboard_access": true,
"schedule_option": 1,
"bank": {
"account_number": 12345678890,
"account_holder": "John Doe",
"ifsc": "HDFC019345"
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"uidai": 753624181019,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000",
"pan": "BIAPA2934N",
"passport_number": "L6892603"
}
}
'{
"email": "johndoe@cashfree.com",
"status": "IN_BENE_CREATION",
"bank": {
"account_number": 26291800001191,
"account_holder": "JOHN DOE",
"ifsc": "YESB0000262"
},
"upi": null,
"phone": 9876543210,
"name": "customer",
"vendor_id": "TestAccount11",
"schedule_option": {
"settlement_schedule_message": "T+1 settlement at 11:00 AM",
"schedule_id": 1,
"merchant_default": false
},
"kyc_details": {
"account_type": "BUSINESS",
"business_type": "NBFC",
"pan": "AFDHK1234F",
"uidai": null,
"passport_number": null,
"driving_license": null,
"voter_id": null,
"gst": "11AAAAA1111A1Z0",
"cin": "L00000Aa0000AaA000000"
},
"dashboard_access": false,
"bank_details": null
}Authorizations
XClientID & XClientSecretXClientID & XPartnerAPIKeyXClientID & XClientSignatureHeaderXPartnerMerchantID & XPartnerAPIKey
Client app ID. You can find your app id in the merchant dashboard.
Client secret key. You can find your secret in the merchant dashboard.
Headers
Body
application/json
Create Vendor Request Body.
Create Vendor Request
Specify the vendor email ID that should be updated. String in email ID format (Ex:johndoe_1@cashfree.com) should contain @ and dot (.)
Response
Create Vendor Success Response.
